AGRepositorySchema (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository.config, class: AGRepositorySchema

Package com.franz.agraph.repository.config

# Class AGRepositorySchema

java.lang.Object
com.franz.agraph.repository.config.AGRepositorySchema

public class AGRepositorySchema extends Object
Defines constants for the AGRepository schema which is used by `AGRepositoryFactory`s to initialize `AGRepository`s.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.eclipse.rdf4j.model.IRI`
  `CATALOGID`
  `http://franz.com/agraph/repository/config#catalogId`
  `static final String`
  `NAMESPACE`
  The AGRepository schema namespace (`http://franz.com/agraph/repository/config#`).
  `static final org.eclipse.rdf4j.model.IRI`
  `PASSWORD`
  `http://franz.com/agraph/repository/config#password`
  `static final org.eclipse.rdf4j.model.IRI`
  `REPOSITORYID`
  `http://franz.com/agraph/repository/config#repositoryId`
  `static final org.eclipse.rdf4j.model.IRI`
  `SERVERURL`
  `http://franz.com/agraph/repository/config#serverUrl`
  `static final org.eclipse.rdf4j.model.IRI`
  `USERNAME`
  `http://franz.com/agraph/repository/config#username`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRepositorySchema()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The AGRepository schema namespace (`http://franz.com/agraph/repository/config#`).
    See Also:
      - Constant Field Values

  - ### SERVERURL

    public static final org.eclipse.rdf4j.model.IRI SERVERURL
    `http://franz.com/agraph/repository/config#serverUrl`

  - ### USERNAME

    public static final org.eclipse.rdf4j.model.IRI USERNAME
    `http://franz.com/agraph/repository/config#username`

  - ### PASSWORD

    public static final org.eclipse.rdf4j.model.IRI PASSWORD
    `http://franz.com/agraph/repository/config#password`

  - ### CATALOGID

    public static final org.eclipse.rdf4j.model.IRI CATALOGID
    `http://franz.com/agraph/repository/config#catalogId`

  - ### REPOSITORYID

    public static final org.eclipse.rdf4j.model.IRI REPOSITORYID
    `http://franz.com/agraph/repository/config#repositoryId`

- ## Constructor Details

  - ### AGRepositorySchema

    public AGRepositorySchema()